@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Lato", sans-serif;
}
section#configurator {
    padding-top: 0;
}
.btn {
  border: 2px solid #2a324b;
  background-color: transparent;
  box-shadow: none;
  font-size: 18px;
  line-height: 29px;
  font-weight: 500;
  padding: 5px 15px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  user-select: none;
  color:#2a324b;
}
a,button{
  text-decoration: none;
}
.hide{
  display: none
}
.btn:hover {
  background-color: #2a324b;
  color: #fff;
   text-decoration: none;
}
.btn:disabled {
  border-color: #ddd;
  color: #ddd;
  pointer-events: none;
}
.btn:disabled:hover {
  background-color: transparent;
  color: #ddd;
}
ul,
li {
  list-style: none;
  margin: 0;
  padding: 0;
}
.flex {
  display: flex;
}

.container {
  max-width: 1200px;
  margin: auto;
}
.config_items {
  justify-content: center;
  flex-wrap: wrap;
}
.config_items li {
  max-width: 25%;
  padding: 5px;
  position: relative;
  cursor: pointer;
}
.product_image {
position: relative;
    background: #f2f3f8;
    min-height: auto;
}
.config_items li .product_image > img {
  max-width: 100%;
  width: 100%;
}
.configurator_step {
  text-align: center;
}
.configurator_step h2 {
  font-size: 65px;
  color: #2a324b;
  font-weight: bold;
  line-height: 78px;
  margin-bottom: 30px;
}
.configurator_step h2 img{
  display: inline-block;
}
.option_states {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%) scale(0);
  transition: all 0.3s ease-in-out;
  visibility: hidden;
  opacity: 0;
}
.config_items li:not(.selected):hover .option_states.hover_state {
  opacity: 1;
  visibility: visible;
  transform: translateX(-50%) translateY(-50%) scale(1);
}

.config_items li.selected .option_states.active_state {
  opacity: 1;
  visibility: visible;
  transform: translateX(-50%) translateY(-50%) scale(1);
}
.product_meta {
  padding-top: 15px;
}
.product_meta .title {
  color: #2a324b;
  font-size: 18px;
  line-height: 27px;
  font-weight: bold;
  text-transform: capitalize;
  margin-bottom: 5px;
  margin-top: 0
}
.product_meta .meta {
  color: #2a324b;
  font-size: 18px;
  line-height: 27px;
  font-weight: bold;
  text-transform: capitalize;
  margin-bottom: 10px;
}
.product_meta .price {
  color: #cdcdcd;
  font-size: 18px;
  line-height: 27px;
  font-weight: 500;
}
.configarator_options {
  margin-bottom: 0px;
}

.configarator_options .container {
  justify-content: space-between;
  padding: 5px;
  align-items: center;
}
.co_cta ul li:first-child {
  margin-right: 15px;
}
.configuration_nav {
  margin-top: 135px;
  background-color: #f2f3f8;
  padding: 40px 0;
      position: fixed;
    bottom: 0;
    width: 100%;
}
.configuration_nav .container {
  justify-content: space-between;
}

.configuration_nav button {
    min-width: 180px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
}

.selected_items li {
  max-width: 90px;
  overflow: hidden;
  position: relative;  
  background: #f2f3f8;
}
.selected_items li:not(:first-child){
  margin-left: 10px;
}
.selected_items li img {
  max-width: 100%;
  object-fit: cover;
}
.remove_selecte_item {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  transform: scale(0);
  opacity: 0;
}
.selected_items li:hover .remove_selecte_item {
  transform: scale(1);
  opacity: 1;
}
.flex.config_items.product_config_items{
  display: none;
}
.flex.config_items.product_config_items.active_step{
  display: flex;
}
.configuration_nav button img ,.configuration_nav a img {
    max-width: 20px;
    display: inline-block;
    vertical-align: middle;
    margin-right: 20px;
    display: none;
}
.all_steps_done,.show_cart{
  display: none;
}
#product_banner{
  display: none;
      padding-top: 0;
      padding-bottom: 0;
}
#product_banner img{
  display: block;
  max-width: 100%;
  width: 100%;
}

/*Progress*/
.configurator_progress{
  max-width: 500px;
  height: 10px;
  background: #ddd;
  margin:auto;
  margin-top: 20px;
  margin-bottom: 60px;
  border-radius: 10px;
  position: relative;
  display: none;
}
.configurator_progress span{
  display: inline-block;
  position: absolute;
  height: 100%;
  top: 0;
  left: 0;
  width: 0%;
  background: green;
  border-radius: 10px;
  transition: all .3s ease-in-out
}
.inline_flx_item{
  display: inline-flex;
}





/*RESPONSE*/

@media(max-width: 768px){
  .container {
      max-width: 95%;
      margin: auto;
  }
  .configurator_step h2 {
      font-size: 37px;     
      line-height: 40px;
      margin-bottom: 20px;
      margin-top: 0;
  }
  .product_image {    
      min-height: auto;
  }
  .product_meta .title {   
      font-size: 16px;
      line-height: 22px;   
      margin-bottom: 9px;
      margin-top: 0;
  }
}

@media(max-width: 640px){
    #configurator{
        padding-bottom:40%;
    }
  .configurator_step h2 {
      font-size: 24px;
      line-height: 28px;
      margin-bottom: 20px;
      margin-top: 0;
  }

  .config_items li {
      max-width: 50%;   
  }
  .btn {     
      font-size: 15px;
  }
  .configuration_nav button {
      min-width: 145px;     
  }
  .co_cta ul li:last-child {
      margin-right: 0px;
  }
  .selected_items li {
      max-width: 40px;
  }
  .remove_selecte_item img {
      max-width: 30px !important;
  }
  .configurator_progress {
    max-width: 75%;
  }
  .configuration_nav .container {
      flex-direction: column;
  }
  .configuration_nav .rightt_nav {
      margin-top: 10px;
  }
}











